%global modulename mem

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-mem
Version:        4.0.0
Release:        1%{?dist}
Summary:        Memoize functions - An optimization used to speed up consecutive function calls by caching the result of calls with identical input

License:        MIT
URL:            https://github.com/sindresorhus/mem#readme
Source0:        https://registry.npmjs.org/mem/-/mem-4.0.0.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(map-age-cleaner) >= 0.1.1 with npmlib(map-age-cleaner) < 0.2.0))
BuildRequires:  ((npmlib(mimic-fn) >= 1.0.0 with npmlib(mimic-fn) < 2.0.0))
BuildRequires:  ((npmlib(p-is-promise) >= 1.1.0 with npmlib(p-is-promise) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Memoize functions - An optimization used to speed up consecutive function calls by caching the result of calls with identical input

%package 4.0.0
Summary:        Memoize functions - An optimization used to speed up consecutive function calls by caching the result of calls with identical input


%description 4.0.0
Memoize functions - An optimization used to speed up consecutive function calls by caching the result of calls with identical input

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license license
%{nodejs_dir}/%{modulename}

%files 4.0.0
%doc readme.md
%license license
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Dec 4 2018 npm2srpm <dshea@redhat.com> - 4.0.0-1
- Package automatically generated by npm2srpm
